# Auto Mode

The `auto` model mode utilizes Arcee AI's intelligent model router to route prompts to the most optimal and efficient language model.

### Router

The power behind Arcee Conductor comes in the form of an ultra-lightweight model router which classifies and routes prompts to the most cost-effective model which can accurately complete the request.

The router is 150M parameter, custom architecture model which classifies based on four primary categories: task type, domain, complexity, and language. The categories for each class consist of:

* **Task Type**: Analytical, Classification, Code Generation, Extraction, Math, QA, Rewrite, Summarization, Text Generation, Other
* **Domain**: Adult, Arts and Entertainment, Autos and Vehicles, Beauty and Fitness, Books and Literature, Business and Industrial, Computers and Electronics, Finance, Food and Drink, Games, Health, Hobbies and Leisure, Home and Garden, Internet and Telecom, Jobs and Eduction, Law and Government, News, Online Communities, People and Society, Pets and Animals, Real Estate, Science, Sensitive Subjects, Shopping, Sports, Travel and Transportation
* **Complexity**: 1-10
* **Language**: Arabic, Bengali, Cantonese, Filipino, French, German, Hindi, Italian, Korean, Mandarin, Marathi, Portuguese, Russian, Spanish, Tamil, Telugu

Due to the exceptionally small parameter count and custom architecture, the router executes in roughly 150ms resulting in negligible impact to user experience, when considering time to first token.

### Models

Based on the classifications from the model router, the request is routed to one of the language models behind Arcee Conductor. The models which can currently be routed to include:

<table><thead><tr><th width="185.08984375">Model</th><th width="544.859375">Description</th><th data-hidden></th></tr></thead><tbody><tr><td>Blitz</td><td>A 24B parameter SLM from Arcee AI, distilled from Deepseek V-3 Blitz offers blazing fast response times and exceptionally low costs with strong general knowledge. Ideal for simple and creative tasks.</td><td></td></tr><tr><td>Virtuoso Medium</td><td>A 32B parameter SLM from Arcee AI, which was distilled from Deepseek V-3 giving it an impressive knowledge distribution.</td><td></td></tr><tr><td>Virtuoso Large</td><td>Arcee AI's premier 72B parameter SLM which competes with the leading LLMs on complex and analytical tasks.</td><td></td></tr><tr><td>GPT-4.1</td><td>A closed-source LLM from Open AI with impressive analytical and complex problem solving capabilities.</td><td></td></tr><tr><td>Claude Sonnet 3.7</td><td>A closed-source LLM from Anthropic with strong performance on coding and complex tasks.</td><td></td></tr></tbody></table>

### API

**Request Syntax**

```
curl -X POST https://models.arcee.ai/v1/chat/completions \
  -H "Authorization: Bearer $ARCEE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
        "model": "auto",
        "messages": [{"role": "user", "content": "hi"}]
      }'
```

**Response**

```
{
  "id": "npyCrRJ-z1gNr-92fdb25bff75cf74",
  "object": "chat.completion",
  "created": 1744575968,
  "model": "arcee-ai/arcee-blitz",
  "prompt": [],
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! How can I assist you today?",
        "tool_calls": []
      },
      "logprobs": null,
      "finish_reason": "stop",
      "seed": null
    }
  ],
  "usage": {
    "prompt_tokens": 170,
    "total_tokens": 180,
    "completion_tokens": 10
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arcee.ai/arcee-conductor/features-and-functionality/auto-mode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
